<?php
/**
 * w3layouts Theme HomePage Customizer
 *
 * @package w3layouts
 */



$w3layouts_settings=new w3layouts_customizer_settings();

class w3layouts_customizer_settings {
	// Get our default values
	private $defaults;

	public function __construct() {
		// Get our Customizer defaults
		// $this->defaults = skyrocket_generate_defaults();

		// add_action( 'customize_register', array( $this, 'skyrocket_register_sample_custom_controls' ) );

		// Register our sample default controls
		add_action('customize_register', array($this, 'w3layouts_cust_register'));
		// add_action( 'customize_register', array( $this, 'skyrocket_add_customizer_panels' ) );
		add_action('customize_register', array($this, 'w3layouts_HomePage_panels'));



	}

	public function w3layouts_HomePage_panels($wp_customize) {
		/**
		 * Add our Header & Navigation Panel
		 */
		$wp_customize->add_panel('HomePage_panel',
			array('title'=> __('HomePage Customize', 'skyrocket'),
				'priority'=> 30,
				'description'=> esc_html__('add and update HomePage data.', 'skyrocket')));

		
		$wp_customize->add_section('HomePageBannerSection',
			array('title'=> __('HomePage Section 1 Banner', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageGridsSection',
			array('title'=> __('HomePage Section 2 Grids', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageAboutSection',
			array('title'=> __('HomePage Section 2 About Section', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageServicesSection',
			array('title'=> __('HomePage Section 3 Services', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageCWPStatsSection',
			array('title'=> __('HomePage Section 4 CWP Stats', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageCoverSection',
			array('title'=> __('HomePage Section 5 Cover', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageCoverGridsSection',
			array('title'=> __('HomePage Section 6 Cover Grids', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));

		$wp_customize->add_section('HomePageTestimonialsSection',
            array('title'=> __('Section 6 Testimonials', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
            ));

		$wp_customize->add_section('HomePageBlogPostsSection',
			array('title'=> __('HomePage Section 9 BlogPosts', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'HomePage_panel'
			));
		





		/** HomePage Banner section starts **/

		$wp_customize->add_setting('HomePageBannerRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageBannerRequired',
				array('label'=> __('HomePage Banner Required', 'w3layouts'),
					'section'=> 'HomePageBannerSection',
					'settings'=> 'HomePageBannerRequired',
					'priority'=> 1)));

		$wp_customize->selective_refresh->add_partial('HomePageBannerRequired', array('selector'=> 'div.HomePageBanner', // You can also select a css class
			));

		/** Banner info */

		$wp_customize->add_setting('HomePageBannerTitle', array('default'=> "We build your Best",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageBannerTitle',
			array('label'=> __('Banner Title', 'w3layouts'),
				'section'=> 'HomePageBannerSection',
				'settings'=> 'HomePageBannerTitle',
			)));

		$wp_customize->add_setting('HomePageBannerTypingTitle', array('default'=> "Future!",
			'transport'=> 'refresh',
		));

		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageBannerTypingTitle',
			array('label'=> __('Banner Typing Title', 'w3layouts'),
				'section'=> 'HomePageBannerSection',
				'settings'=> 'HomePageBannerTypingTitle',
			)));
			
		$wp_customize->add_setting('HomePageBannerContent', array('default'=> 'Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui seequi.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageBannerContent',
			array('label'=> __('Banner Content', 'w3layouts'),
				'section'=> 'HomePageBannerSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
		$wp_customize->add_setting('HomePageeBannerBtnURL', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageeBannerBtnURL',
			array('label'=> __('Banner Button URL', 'w3layouts'),
				'section'=> 'HomePageBannerSection',
				'settings'=> 'HomePageeBannerBtnURL'
			)));

		$wp_customize->add_setting('HomePageeBannerBtnText', array('default'=> 'View our Works',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageeBannerBtnText',
			array('label'=> __('Banner Button Text', 'w3layouts'),
				'section'=> 'HomePageBannerSection',
				'settings'=> 'HomePageeBannerBtnText'
			)));

		$wp_customize->add_setting('HomePageBannerImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageBannerImage',
                array('label'=> __('Banner Right Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageBannerSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 500, // Optional. Default: 150
				'height'=> 500, // Optional. Default: 150
				'button_labels'=> array( // Optional.
					'select'=> __('Select Image'),
					'change'=> __('Change Image'),
					'remove'=> __('Remove'),
					'default'=> __('Default'),
					'placeholder'=> __('No image selected'),
					'frame_title'=> __('Select Image'),
					'frame_button'=> __('Choose Image'),
				))));


		// Banner top & bottom  area textarea

		// $wp_customize->add_setting('HomePageBannerTopArea', array('default'=> '',
		// 		'transport'=> 'refresh',
		// 	));
		// $wp_customize->add_control(new WP_Customize_Control($wp_customize,
		// 		'HomePageBannerTopArea',
		// 		array('label'=> __('Banner Top', 'w3layouts'),
		// 			'section'=> 'HomePageBannerSection',
		// 			'type'=> 'textarea',
		// 			'input_attrs'=> array('class'=> 'my-custom-class',
		// 				'style'=> 'border: 1px solid #999',
		// 				'placeholder'=> __('Enter message...', 'w3layouts'),
		// 			),
		// 		)));

		$wp_customize->add_setting('HomePageBannerBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageBannerBottomArea',
				array('label'=> __('Banner Bottom', 'w3layouts'),
					'section'=> 'HomePageBannerSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// Banner top & bottom  area textarea

		/** HomePage Banner section ends **/



		/** HomePage Grids Section starts **/

		$wp_customize->add_setting('HomePageGridsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageGridsRequired',
				array('label'=> __('Homepage Grids Required', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'settings'=> 'HomePageGridsRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageGridsRequired', array('selector'=> 'div.HomePageGrids',
			));

		// Grid1
		$wp_customize->add_setting('HomePageGrid1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageGrid1Required',
				array('label'=> __('HomePage Grid1 Required', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'settings'=> 'HomePageGrid1Required'
				)));

		$wp_customize->add_setting('HomePageGrid1Icon', array('default'=> "fas fa-tools",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid1Icon',
			array('label'=> __('HomePage Grid1 Icon', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid1Icon',
			)));

		$wp_customize->add_setting('HomePageGrid1Title', array('default'=> "Who we are",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid1Title',
			array('label'=> __('HomePage Grid1 Title', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid1Title',
			)));

		$wp_customize->add_setting('HomePageGrid1Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageGrid1Content',
				array('label'=> __('HomePage Grid1 Content', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// Grid2
		$wp_customize->add_setting('HomePageGrid2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageGrid2Required',
				array('label'=> __('HomePage Grid2 Required', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'settings'=> 'HomePageGrid2Required'
				)));

		$wp_customize->add_setting('HomePageGrid2Icon', array('default'=> "fas fa-tools",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid2Icon',
			array('label'=> __('HomePage Grid2 Icon', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid2Icon',
			)));
		$wp_customize->add_setting('HomePageGrid2Title', array('default'=> "How we Work",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid2Title',
			array('label'=> __('HomePage Grid2 Title', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid2Title',
			)));

		$wp_customize->add_setting('HomePageGrid2Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageGrid2Content',
				array('label'=> __('HomePage Grid2 Content', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
		
		// Grid3
		$wp_customize->add_setting('HomePageGrid3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageGrid3Required',
				array('label'=> __('HomePage Grid3 Required', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'settings'=> 'HomePageGrid3Required'
				)));

		$wp_customize->add_setting('HomePageGrid3Icon', array('default'=> "fas fa-industry",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid3Icon',
			array('label'=> __('HomePage Grid3 Icon', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid3Icon',
			)));
		$wp_customize->add_setting('HomePageGrid3Title', array('default'=> "What we do",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageGrid3Title',
			array('label'=> __('HomePage Grid3 Title', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'settings'=> 'HomePageGrid3Title',
			)));

		$wp_customize->add_setting('HomePageGrid3Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageGrid3Content',
				array('label'=> __('HomePage Grid3 Content', 'w3layouts'),
				'section'=> 'HomePageGridsSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// HomePage Grids top & bottom area textarea

		$wp_customize->add_setting('HomePageGridsTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageGridsTopArea',
				array('label'=> __('Grids Top', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageGridsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageGridsBottomArea',
				array('label'=> __('Grids Bottom', 'w3layouts'),
					'section'=> 'HomePageGridsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// HomePage Grids top & bottom area textarea

		/** HomePage Grids Section ends **/




		/** HomePage About Section starts **/

		$wp_customize->add_setting('HomePageAboutRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageAboutRequired',
				array('label'=> __('HomePage About Required', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'settings'=> 'HomePageAboutRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageAboutRequired', array('selector'=> 'div.HPAbout', // You can also select a css class
			));

		$wp_customize->add_setting('HomePageAboutImage',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageAboutImage',
				array('label'=> __('About image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageAboutSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 570, // Optional. Default: 150
				'height'=> 620, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageAboutTitle1', array('default'=> "Since <span>2000</span>",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutTitle1',
				array('label'=> __('About Title1', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'settings'=> 'HomePageAboutTitle1'
				)));

		$wp_customize->add_setting('HomePageAboutTitle2', array('default'=> "We Have <span>30+</span> Years Industrial Experience",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutTitle2',
				array('label'=> __('About Title2', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'settings'=> 'HomePageAboutTitle2'
				)));

		$wp_customize->add_setting('HomePageAboutpara1', array('default'=> '"Orem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula. Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat".',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutpara1',
				array('label'=> __('About Para1', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageAboutpara2', array('default'=> 'Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat. Lorem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutpara2',
				array('label'=> __('About Para2', 'w3layouts'),
				'section'=> 'HomePageAboutSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		$wp_customize->add_setting('HomePageAboutSignImage',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageAboutSignImage',
				array('label'=> __('About Signature image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageAboutSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 100, // Optional. Default: 150
				'height'=> 100, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));
		
		// HomePage About Section top & bottom  textarea

		$wp_customize->add_setting('HomePageAboutTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutTopArea',
				array('label'=> __('About Top', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageAboutBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageAboutBottomArea',
				array('label'=> __('About Bottom', 'w3layouts'),
					'section'=> 'HomePageAboutSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		// HomePage About Section top & bottom  textarea

		/** HomePage About Section ends **/





		/** HomePage Services Section starts **/

		$wp_customize->add_setting('HomePageServicesRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageServicesRequired',
				array('label'=> __('Homepage Services Required', 'w3layouts'),
					'section'=> 'HomePageServicesSection',
					'settings'=> 'HomePageServicesRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageServicesRequired', array('selector'=> 'div.HomePageServices',
			));

		$wp_customize->add_setting('HomePageServicesBgImage',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageServicesBgImage',
				array('label'=> __('Services Bg Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 1760, // Optional. Default: 150
				'height'=> 900, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));
			
		$wp_customize->add_setting('HomePageServicesTitle1', array('default'=> 'Our Services',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageServicesTitle1',
			array('label'=> __('Services Section Title1', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageServicesTitle1'
			)));

		$wp_customize->add_setting('HomePageServicesTitle2', array('default'=> 'High Performance Services For Multiple <span>Industries</span>',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageServicesTitle2',
			array('label'=> __('Services Section Title2', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageServicesTitle2'
			)));

		// Service1
		$wp_customize->add_setting('HomePageService1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageService1Required',
				array('label'=> __('Service1 Required', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService1Required'
			)));
				
		$wp_customize->add_setting('HomePageService1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageService1Image',
                array('label'=> __('Service1 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageService1Title', array('default'=> 'Industrial Construction',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService1Title',
			array('label'=> __('Service1 Title', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService1Title'
			)));

		$wp_customize->add_setting('HomePageService1Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService1Url',
			array('label'=> __('Service1 Title URL', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService1Url'
			)));

		$wp_customize->add_setting('HomePageService1Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageService1Content',
				array('label'=> __('Service1 Content', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// Service2
		$wp_customize->add_setting('HomePageService2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageService2Required',
				array('label'=> __('Service2 Required', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService2Required'
			)));
		$wp_customize->add_setting('HomePageService2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageService2Image',
                array('label'=> __('Services Slider2 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageService2Title', array('default'=> 'Mechanical Engineering',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService2Title',
			array('label'=> __('Service2 Title', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService2Title'
			)));

		$wp_customize->add_setting('HomePageService2Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService2Url',
			array('label'=> __('Service2 Title URL', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService2Url'
			)));

		$wp_customize->add_setting('HomePageService2Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageService2Content',
				array('label'=> __('Service2 Content', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// Service3
		$wp_customize->add_setting('HomePageService3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageService3Required',
				array('label'=> __('Service3 Required', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService3Required'
			)));
		$wp_customize->add_setting('HomePageService3Image',
		array('default'=> '',
			'transport'=> 'refresh',
			'sanitize_callback'=> 'absint'
		));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageService3Image',
				array('label'=> __('Service3 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageService3Title', array('default'=> 'Electronic Materials',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService3Title',
			array('label'=> __('Service3 Title', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService3Title'
			)));

		$wp_customize->add_setting('HomePageService3Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageService3Url',
			array('label'=> __('Service3 Title URL', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'settings'=> 'HomePageService3Url'
			)));
		
		$wp_customize->add_setting('HomePageService3Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageService3Content',
				array('label'=> __('Service3 Content', 'w3layouts'),
				'section'=> 'HomePageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// HomePage Services top & bottom area textarea

		$wp_customize->add_setting('HomePageServicesTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageServicesTopArea',
				array('label'=> __('Services Top', 'w3layouts'),
					'section'=> 'HomePageServicesSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageServicesBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageServicesBottomArea',
				array('label'=> __('Services Bottom', 'w3layouts'),
					'section'=> 'HomePageServicesSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// HomePage Services top & bottom area textarea

		/** HomePage Services Section ends **/



		
		/** HomePage CWPStats section starts **/

		$wp_customize->add_setting('HomePageCWPStatsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCWPStatsRequired',
				array('label'=> __('HomePage CWP Stats Section Required', 'w3layouts'),
					'section'=> 'HomePageCWPStatsSection',
					'settings'=> 'HomePageCWPStatsRequired',
					'priority'=> 1)));

		$wp_customize->selective_refresh->add_partial('HomePageCWPStatsRequired', array('selector'=> 'div.HomePageCWPStats', // You can also select a css class
			));

		// CWP
		$wp_customize->add_setting('HomePageCWPRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCWPRequired',
			array('label'=> __('HomePage CWP Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageCWPRequired'
			)));

		$wp_customize->add_setting('HomePageCWPTitle', array('default'=> "Expert Workers Are Giving Best Services To Build Your <span>Dream Factory",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCWPTitle',
				array('label'=> __('HomePage CWP Title', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageCWPTitle',
			)));

		$wp_customize->add_setting('HomePageCWPContent', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit doloremque laudantium, totam rem aperiam, veritatis et quasi.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCWPContent',
			array('label'=> __('HomePage CWP Content', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
		$wp_customize->add_setting('HomePageCWPBtnURL', array('default'=> "#url",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCWPBtnURL',
				array('label'=> __('CWP Btn Url', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageCWPBtnURL',
			)));

		$wp_customize->add_setting('HomePageCWPBtnText', array('default'=> "Let's Know More",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCWPBtnText',
				array('label'=> __('CWP Btn Text', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageCWPBtnText',
			)));
			
		$wp_customize->add_setting('HomePageCWPImage',
		array('default'=> '',
			'transport'=> 'refresh',
			'sanitize_callback'=> 'absint'
		));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageCWPImage',
				array('label'=> __('CWP Right Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageCWPStatsSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 640, // Optional. Default: 150
				'height'=> 427, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));


		// Stats
		$wp_customize->add_setting('HomePageStatsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageStatsRequired',
			array('label'=> __('HomePage Stats Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStatsRequired'
			)));
			
		// Stat1
		$wp_customize->add_setting('HomePageStat1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageStat1Required',
			array('label'=> __('Stats1 Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat1Required'
			)));

		$wp_customize->add_setting('HomePageStat1Number', array('default'=> "5100",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat1Number',
				array('label'=> __('Stats1 Number', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat1Number',
			)));

		$wp_customize->add_setting('HomePageStat1Title', array('default'=> "Total Projects",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat1Title',
				array('label'=> __('Stats1 Title', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat1Title',
			)));


		// Stat2
		$wp_customize->add_setting('HomePageStat2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageStat2Required',
			array('label'=> __('Stat2 Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat2Required'
			)));

		$wp_customize->add_setting('HomePageStat2Number', array('default'=> "9716",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat2Number',
				array('label'=> __('Stat2 Number', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat2Number',
			)));

		$wp_customize->add_setting('HomePageStat2Title', array('default'=> "Happy Clients",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat2Title',
				array('label'=> __('Stat2 Title', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat2Title',
			)));

		// Stat3
		$wp_customize->add_setting('HomePageStat3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageStat3Required',
			array('label'=> __('Stat3 Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat3Required'
			)));

		$wp_customize->add_setting('HomePageStat3Number', array('default'=> "7600",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat3Number',
				array('label'=> __('Stat3 Number', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat3Number',
			)));

		$wp_customize->add_setting('HomePageStat3Title', array('default'=> "Cup Of Coffee",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat3Title',
				array('label'=> __('Stat3 Title', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat3Title',
			)));

		// Stat4
		$wp_customize->add_setting('HomePageStat4Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageStat4Required',
			array('label'=> __('Stat4 Required', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat4Required'
			)));

		$wp_customize->add_setting('HomePageStat4Number', array('default'=> "967",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat4Number',
				array('label'=> __('Stat4 Number', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat4Number',
			)));

		$wp_customize->add_setting('HomePageStat4Title', array('default'=> "Awards Won",
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageStat4Title',
				array('label'=> __('Stat4 Title', 'w3layouts'),
				'section'=> 'HomePageCWPStatsSection',
				'settings'=> 'HomePageStat4Title',
			)));

		// HomePage CWP Stats top & bottom area textarea

		$wp_customize->add_setting('HomePageCWPStatsTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCWPStatsTopArea',
				array('label'=> __('CWP Stats Top', 'w3layouts'),
					'section'=> 'HomePageCWPStatsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageCWPStatsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCWPStatsBottomArea',
				array('label'=> __('CWP Stats Bottom', 'w3layouts'),
					'section'=> 'HomePageCWPStatsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// HomePage CWP Stats top & bottom area textarea

		/** HomePage CWP Stats Section ends **/




		/** HomePage Cover starts **/

		$wp_customize->add_setting('HomePageCoverRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCoverRequired',
				array('label'=> __('HomePage Cover Required', 'w3layouts'),
					'section'=> 'HomePageCoverSection',
					'settings'=> 'HomePageCoverRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageCoverRequired', array('selector'=> 'div.HomePageCover', // You can also select a css class
			));

		$wp_customize->add_setting('HomePageCoverBgImage',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageCoverBgImage',
				array('label'=> __('Cover Bg Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageCoverSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 1760, // Optional. Default: 150
				'height'=> 800, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));
			
		$wp_customize->add_setting('HomePageCoverTitle1', array('default'=> 'Industry',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverTitle1',
			array('label'=> __('Cover Title1', 'w3layouts'),
				'section'=> 'HomePageCoverSection',
				'settings'=> 'HomePageCoverTitle1'
			)));
		$wp_customize->add_setting('HomePageCoverTitle2', array('default'=> 'We Provide top industrial <span>Services</span>',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverTitle2',
			array('label'=> __('Cover Title2', 'w3layouts'),
				'section'=> 'HomePageCoverSection',
				'settings'=> 'HomePageCoverTitle2'
			)));

		$wp_customize->add_setting('HomePageCoverPopupVideoUrl', array('default'=> 'https://player.vimeo.com/video/13618190',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverPopupVideoUrl',
			array('label'=> __('Video URL. YouTube, Vimeo or something similar', 'w3layouts'),
				'section'=> 'HomePageCoverSection',
				'settings'=> 'HomePageCoverPopupVideoUrl'
			)));

		// HomePage Cover top & bottom area textarea

		$wp_customize->add_setting('HomePageCoverTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCoverTopArea',
				array('label'=> __('Cover Top', 'w3layouts'),
					'section'=> 'HomePageCoverSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		// $wp_customize->add_setting('HomePageCoverBottomArea', array('default'=> '',
		// 		'transport'=> 'refresh',
		// 	));
		// $wp_customize->add_control(new WP_Customize_Control($wp_customize,
		// 		'HomePageCoverBottomArea',
		// 		array('label'=> __('Cover Bottom', 'w3layouts'),
		// 			'section'=> 'HomePageCoverSection',
		// 			'type'=> 'textarea',
		// 			'input_attrs'=> array('class'=> 'my-custom-class',
		// 				'style'=> 'border: 1px solid #999',
		// 				'placeholder'=> __('Enter message...', 'w3layouts'),
		// 			),
		// 		)));
		// HomePage Cover top & bottom area textarea

		/** HomePage Cover Section ends **/



		/** HomePage Cover Grids starts **/

		$wp_customize->add_setting('HomePageCoverGridsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCoverGridsRequired',
				array('label'=> __('HomePage Cover Grids Required', 'w3layouts'),
					'section'=> 'HomePageCoverGridsSection',
					'settings'=> 'HomePageCoverGridsRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageCoverGridsRequired', array('selector'=> 'div.HomePageCoverGrids', // You can also select a css class
			));

		// CoverGrid1
		$wp_customize->add_setting('HomePageCoverGrid1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCoverGrid1Required',
				array('label'=> __('Cover Grid1 Required', 'w3layouts'),
					'section'=> 'HomePageCoverGridsSection',
					'settings'=> 'HomePageCoverGrid1Required' 
				)));

		$wp_customize->add_setting('HomePageCoverGrid1Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageCoverGrid1Image',
				array('label'=> __('Cover Grid1 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageCoverGridsSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 370, // Optional. Default: 150
				'height'=> 420, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageCoverGrid1TitleUrl', array('default'=> '#url',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid1TitleUrl',
			array('label'=> __('Cover Grid1 Title URL', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid1TitleUrl'
			)));
		$wp_customize->add_setting('HomePageCoverGrid1Title', array('default'=> 'Civil Engineering',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid1Title',
			array('label'=> __('Cover Grid1 Title', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid1Title'
			)));

		// CoverGrid2
		$wp_customize->add_setting('HomePageCoverGrid2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCoverGrid2Required',
				array('label'=> __('Cover Grid2 Required', 'w3layouts'),
					'section'=> 'HomePageCoverGridsSection',
					'settings'=> 'HomePageCoverGrid2Required' 
				)));

		$wp_customize->add_setting('HomePageCoverGrid2Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageCoverGrid2Image',
				array('label'=> __('Cover Grid2 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageCoverGridsSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 370, // Optional. Default: 150
				'height'=> 420, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageCoverGrid2TitleUrl', array('default'=> '#url',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid2TitleUrl',
			array('label'=> __('Cover Grid2 Title URL', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid2TitleUrl'
			)));
		$wp_customize->add_setting('HomePageCoverGrid2Title', array('default'=> 'Oil & Gas Engineering',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid2Title',
			array('label'=> __('Cover Grid2 Title', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid2Title'
			)));


		// CoverGrid3
		$wp_customize->add_setting('HomePageCoverGrid3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageCoverGrid3Required',
				array('label'=> __('Cover Grid3 Required', 'w3layouts'),
					'section'=> 'HomePageCoverGridsSection',
					'settings'=> 'HomePageCoverGrid3Required' 
				)));

		$wp_customize->add_setting('HomePageCoverGrid3Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageCoverGrid3Image',
				array('label'=> __('Cover Grid3 Image'),
				'description'=> esc_html__(''),
				'section'=> 'HomePageCoverGridsSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 370, // Optional. Default: 150
				'height'=> 420, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('HomePageCoverGrid3TitleUrl', array('default'=> '#url',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid3TitleUrl',
			array('label'=> __('Cover Grid3 Title URL', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid3TitleUrl'
			)));
		$wp_customize->add_setting('HomePageCoverGrid3Title', array('default'=> 'Chemical Research',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageCoverGrid3Title',
			array('label'=> __('Cover Grid3 Title', 'w3layouts'),
				'section'=> 'HomePageCoverGridsSection',
				'settings'=> 'HomePageCoverGrid3Title'
			)));

		// HomePage CoverGrids top & bottom area textarea

		// $wp_customize->add_setting('HomePageCoverGridsTopArea', array('default'=> '',
		// 		'transport'=> 'refresh',
		// 	));
		// $wp_customize->add_control(new WP_Customize_Control($wp_customize,
		// 		'HomePageCoverGridsTopArea',
		// 		array('label'=> __('CoverGrids Top', 'w3layouts'),
		// 			'section'=> 'HomePageCoverGridsSection',
		// 			'type'=> 'textarea',
		// 			'input_attrs'=> array('class'=> 'my-custom-class',
		// 				'style'=> 'border: 1px solid #999',
		// 				'placeholder'=> __('Enter message...', 'w3layouts'),
		// 			),
		// 		)));

		$wp_customize->add_setting('HomePageCoverGridsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageCoverGridsBottomArea',
				array('label'=> __('CoverGrids Bottom', 'w3layouts'),
					'section'=> 'HomePageCoverGridsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// HomePage CoverGrids top & bottom area textarea

		/** HomePage CoverGrids Section ends **/
		


		
		/** HomePage Testimonials starts **/

		$wp_customize->add_setting('HomePageTestimonialsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonialsRequired',
				array('label'=> __('HomePage Testimonials Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HomePageTestimonialsRequired', array('selector'=> 'div.HomePageTestimonials', // You can also select a css class
			));

		$wp_customize->add_setting('HomePageTestimonialsTitle1', array('default'=> "Testimonials",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsTitle1',
				array('label'=> __('HomePage Testimonials Title1', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsTitle1',
				)));

		$wp_customize->add_setting('HomePageTestimonialsTitle2', array('default'=> "Happy With Customers & <span>Clients",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsTitle2',
				array('label'=> __('HomePage Testimonials Title2', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsTitle2',
				)));

                        
		// client 1

		$wp_customize->add_setting('HomePageTestimonial1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial1Required',
				array('label'=> __('Testimonial 1 Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonial1Required'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient1Title', array('default'=> 'Pellen tesque libero ut justo',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient1Title',
				array('label'=> __('Client 1 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient1Title'
				)));

		$wp_customize->add_setting('HomePageTestimonialsMessage1', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsMessage1',
				array('label'=> __('Client 1 Message', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

        $wp_customize->add_setting('HomePageTestimonialsClient1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient1Image',
                array('label'=> __('Client 1 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'HomePageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 70, // Optional. Default: 150
                    'height'=> 70, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                    ))));

		$wp_customize->add_setting('HomePageTestimonialsClient1Name', array('default'=> 'Johnson william',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient1Name',
				array('label'=> __('Client 1 Name', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient1Name'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient1Designation', array('default'=> 'Subtitle',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient1Designation',
				array('label'=> __('Client 1 Designation', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient1Designation'
				)));
		// client 1

		// client 2

		$wp_customize->add_setting('HomePageTestimonial2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial2Required',
				array('label'=> __('Testimonial 2 Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonial2Required'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient2Title', array('default'=> 'Lorem ipsum dolor sit amet',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient2Title',
				array('label'=> __('Client 2 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient2Title'
				)));
		$wp_customize->add_setting('HomePageTestimonialsMessage2', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsMessage2',
				array('label'=> __('Client 2 Message', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
        $wp_customize->add_setting('HomePageTestimonialsClient2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient2Image',
                array('label'=> __('Client 2 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'HomePageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
		$wp_customize->add_setting('HomePageTestimonialsClient2Name', array('default'=> 'Alexander sakura',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient2Name',
				array('label'=> __('Client 2 Name', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient2Name'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient2Designation', array('default'=> 'Subtitle',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient2Designation',
				array('label'=> __('Client 2 Designation', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient2Designation'
				)));
		// client 2

		// client 3

		$wp_customize->add_setting('HomePageTestimonial3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial3Required',
				array('label'=> __('Testimonial 3 Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonial3Required'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient3Title', array('default'=> 'Pellen tesque libero ut justo',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient3Title',
				array('label'=> __('Client 3 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient3Title'
				)));

		$wp_customize->add_setting('HomePageTestimonialsMessage3', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsMessage3',
				array('label'=> __('Client 3 Message', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient3Image',
            array('label'=> __('Client 3 Image'),
                'description'=> esc_html__(''),
                'section'=> 'HomePageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
		$wp_customize->add_setting('HomePageTestimonialsClient3Name', array('default'=> 'John wilson',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient3Name',
				array('label'=> __('Client 3 Name', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient3Name'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient3Designation', array('default'=> 'Subtitle',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient3Designation',
				array('label'=> __('Client 3 Designation', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient3Designation'
				)));
		// client 3

		// client 4

		$wp_customize->add_setting('HomePageTestimonial4Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial4Required',
				array('label'=> __('Testimonial 4 Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonial4Required'
				)));
		
		$wp_customize->add_setting('HomePageTestimonialsClient4Title', array('default'=> 'Lorem ipsum dolor sit amet',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient4Title',
				array('label'=> __('Client 4 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient4Title'
				)));
		$wp_customize->add_setting('HomePageTestimonialsMessage4', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsMessage4',
				array('label'=> __('Client 4 Message', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

        $wp_customize->add_setting('HomePageTestimonialsClient4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient4Image',
                array('label'=> __('Client 4 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'HomePageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
		$wp_customize->add_setting('HomePageTestimonialsClient4Name', array('default'=> 'Julia sakura',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient4Name',
				array('label'=> __('Client 4 Name', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient4Name'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient4Designation', array('default'=> 'Subtitle',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient4Designation',
				array('label'=> __('Client 4 Designation', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient4Designation'
				)));
		// client 4

		// client 5
		$wp_customize->add_setting('HomePageTestimonial5Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial5Required',
				array('label'=> __('Testimonial 5 Required', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonial5Required'
				)));
		
		$wp_customize->add_setting('HomePageTestimonialsClient5Title', array('default'=> 'Pellen tesque libero ut justo',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient5Title',
				array('label'=> __('Client 5 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient5Title'
				)));
		$wp_customize->add_setting('HomePageTestimonialsMessage5', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsMessage5',
				array('label'=> __('Client 5 Message', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

        $wp_customize->add_setting('HomePageTestimonialsClient5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient5Image',
                array('label'=> __('Client 5 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'HomePageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
		$wp_customize->add_setting('HomePageTestimonialsClient5Name', array('default'=> 'John wilson',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient5Name',
				array('label'=> __('Client 5 Name', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient5Name'
				)));

		$wp_customize->add_setting('HomePageTestimonialsClient5Designation', array('default'=> 'Subtitle',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient5Designation',
				array('label'=> __('Client 5 Designation', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient5Designation'
				)));
		// client 5

		// client 6
		$wp_customize->add_setting('HomePageTestimonial6Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageTestimonial6Required',
                array('label'=> __('Testimonial 6 Required', 'w3layouts'),
                    'section'=> 'HomePageTestimonialsSection',
                    'settings'=> 'HomePageTestimonial6Required'
                )));
		
		$wp_customize->add_setting('HomePageTestimonialsClient6Title', array('default'=> 'Lorem ipsum dolor sit amet',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsClient6Title',
				array('label'=> __('Client 6 Title', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'settings'=> 'HomePageTestimonialsClient6Title'
				)));
        $wp_customize->add_setting('HomePageTestimonialsMessage6', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'HomePageTestimonialsMessage6',
                array('label'=> __('Client 6 Message', 'w3layouts'),
                    'section'=> 'HomePageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('HomePageTestimonialsClient6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'HomePageTestimonialsClient6Image',
                array('label'=> __('Client 6 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'HomePageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
        $wp_customize->add_setting('HomePageTestimonialsClient6Name', array('default'=> 'Julia sakura',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'HomePageTestimonialsClient6Name',
                array('label'=> __('Client 6 Name', 'w3layouts'),
                    'section'=> 'HomePageTestimonialsSection',
                    'settings'=> 'HomePageTestimonialsClient6Name'
                )));

        $wp_customize->add_setting('HomePageTestimonialsClient6Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'HomePageTestimonialsClient6Designation',
                array('label'=> __('Client 6 Designation', 'w3layouts'),
                    'section'=> 'HomePageTestimonialsSection',
                    'settings'=> 'HomePageTestimonialsClient6Designation'
                )));
        // client 6

		// HomePage Testimonials top & bottom  area textarea

		$wp_customize->add_setting('HomePageTestimonialsTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsTopArea',
				array('label'=> __('Testimonials Top', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageTestimonialsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageTestimonialsBottomArea',
				array('label'=> __('Testimonials Bottom', 'w3layouts'),
					'section'=> 'HomePageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// HomePage Testimonials top & bottom  area textarea

		/** HomePage Testimonials ends **/





		/** HomePage BlogPosts starts **/

		$wp_customize->add_setting('HomePageBlogPostsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HomePageBlogPostsRequired',
				array('label'=> __('HomePage Blog Posts Required', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'settings'=> 'HomePageBlogPostsRequired',
					'priority'=> 1)));

		$wp_customize->selective_refresh->add_partial('HomePageBlogPostsRequired', array('selector'=> 'div.HomepageBlogPosts', // You can also select a css class
			));

		$wp_customize->add_setting('HomePageBlogPostsTitle1', array('default'=> 'Our Blog',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageBlogPostsTitle1',
			array('label'=> __('HomePage BlogPosts Title1', 'w3layouts'),
				'section'=> 'HomePageBlogPostsSection',
				'settings'=> 'HomePageBlogPostsTitle1'
			)));

		$wp_customize->add_setting('HomePageBlogPostsTitle2', array('default'=> "Learn more from our latest <span>Blog</span> Posts",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HomePageBlogPostsTitle2',
			array('label'=> __('HomePage BlogPosts Title2', 'w3layouts'),
				'section'=> 'HomePageBlogPostsSection',
				'settings'=> 'HomePageBlogPostsTitle2',
			)));

		$wp_customize->add_setting('BlogHomePageCategoryRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageCategoryRequired',
				array('label'=> __('Blog Category Required', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'settings'=> 'BlogHomePageCategoryRequired'
				)));

		$wp_customize->add_setting('BlogHomePageAuthRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageAuthRequired',
				array('label'=> __('Blog Author Required', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'settings'=> 'BlogHomePageAuthRequired'
				)));

		$wp_customize->add_setting('BlogHomePageDateRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageDateRequired',
				array('label'=> __('Post Date Required', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'settings'=> 'BlogHomePageDateRequired'
				)));

		$wp_customize->add_setting('BlogHomePageReadMoreRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageReadMoreRequired',
				array('label'=> __('Post Read More Required', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'settings'=> 'BlogHomePageReadMoreRequired'
				)));
		// HomePage BlogPosts Section top & bottom  textarea

		$wp_customize->add_setting('HomePageBlogPostsTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageBlogPostsTopArea',
				array('label'=> __('Homepage BlogPosts Top', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('HomePageBlogPostsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HomePageBlogPostsBottomArea',
				array('label'=> __('Homepage BlogPosts Bottom', 'w3layouts'),
					'section'=> 'HomePageBlogPostsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		// HomePage BlogPosts Section top & bottom  textarea

		/** HomePage BlogPosts ends **/



	}

	public function w3layouts_cust_register($wp_customize) {}



}