<?php
/**
 * w3layouts Theme Services page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Services_settings=new w3layouts_Services_customizer_settings();

class w3layouts_Services_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_services_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_Servicespage_panels'));

    }

    public function w3layouts_Servicespage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('ServicesPage_panel',
            array('title'=> __('Services Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update Servicespage data.', 'w3layouts')));

        $wp_customize->add_section('ServicesPageBannerSection',
            array('title'=> __('Section 1 Services Banner', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

        $wp_customize->add_section('ServicesPageServicesSection',
            array('title'=> __('Section 1 Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

        $wp_customize->add_section('ServicesPageCoverSection',
            array('title'=> __('Section 2 Cover', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

        $wp_customize->add_section('ServicesPageFeaturesSection',
            array('title'=> __('Section 3 Features', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

            

        

        /** ServicesPage Banner section starts **/

        $wp_customize->add_setting('ServicesPageMainTitleRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMainTitleRequired',
                array('label'=> __('ServicesPage MainTitle Required', 'w3layouts'),
                    'section'=> 'ServicesPageBannerSection',
                    'settings'=> 'ServicesPageMainTitleRequired'
                )));
        $wp_customize->selective_refresh->add_partial('ServicesPageMainTitleRequired', array('selector'=> 'h4.ServicesBanner', // You can also select a css class
            ));

        $wp_customize->add_setting('ServicesBannerMainTitle', array('default'=> 'Services',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesBannerMainTitle',
                array('label'=> __('ServicesPage Main Title', 'w3layouts'),
                    'section'=> 'ServicesPageBannerSection',
                    'settings'=> 'ServicesBannerMainTitle'
                )));

        /** ServicesPage Banner section ends **/

        /** ServicesPage Services starts **/

        $wp_customize->add_setting('ServicesPageServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageServicesRequired',
                array('label'=> __('ServicesPage Services Section Required', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'settings'=> 'ServicesPageServicesRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageServicesRequired', array('selector'=> 'div.ServicesPageServices', // You can also select a css class
            ));

            $wp_customize->add_setting('ServicesPageServicesTitle1', array('default'=> 'Our Services',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageServicesTitle1',
			array('label'=> __('Services Section Title1', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageServicesTitle1'
			)));

		$wp_customize->add_setting('ServicesPageServicesTitle2', array('default'=> 'High Performance Services For Multiple <span>Industries</span>',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageServicesTitle2',
			array('label'=> __('Services Section Title2', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageServicesTitle2'
			)));

		// Service1
		$wp_customize->add_setting('ServicesPageService1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService1Required',
				array('label'=> __('Service1 Required', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService1Required'
			)));
				
		$wp_customize->add_setting('ServicesPageService1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService1Image',
                array('label'=> __('Service1 Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('ServicesPageService1Title', array('default'=> 'Industrial Construction',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService1Title',
			array('label'=> __('Service1 Title', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService1Title'
			)));

		$wp_customize->add_setting('ServicesPageService1Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService1Url',
			array('label'=> __('Service1 Title URL', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService1Url'
			)));

		$wp_customize->add_setting('ServicesPageService1Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'ServicesPageService1Content',
				array('label'=> __('Service1 Content', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// Service2
		$wp_customize->add_setting('ServicesPageService2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService2Required',
				array('label'=> __('Service2 Required', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService2Required'
			)));
		$wp_customize->add_setting('ServicesPageService2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService2Image',
                array('label'=> __('Services Slider2 Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('ServicesPageService2Title', array('default'=> 'Mechanical Engineering',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService2Title',
			array('label'=> __('Service2 Title', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService2Title'
			)));

		$wp_customize->add_setting('ServicesPageService2Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService2Url',
			array('label'=> __('Service2 Title URL', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService2Url'
			)));

		$wp_customize->add_setting('ServicesPageService2Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'ServicesPageService2Content',
				array('label'=> __('Service2 Content', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));

		// Service3
		$wp_customize->add_setting('ServicesPageService3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService3Required',
				array('label'=> __('Service3 Required', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService3Required'
			)));
		$wp_customize->add_setting('ServicesPageService3Image',
		array('default'=> '',
			'transport'=> 'refresh',
			'sanitize_callback'=> 'absint'
		));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService3Image',
				array('label'=> __('Service3 Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 160, // Optional. Default: 150
				'height'=> 160, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

		$wp_customize->add_setting('ServicesPageService3Title', array('default'=> 'Electronic Materials',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService3Title',
			array('label'=> __('Service3 Title', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService3Title'
			)));

		$wp_customize->add_setting('ServicesPageService3Url', array('default'=> '#url',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService3Url',
			array('label'=> __('Service3 Title URL', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'settings'=> 'ServicesPageService3Url'
			)));
		
		$wp_customize->add_setting('ServicesPageService3Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'ServicesPageService3Content',
				array('label'=> __('Service3 Content', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
					'style'=> 'border: 1px solid #999',
					'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        
		// Service4
		$wp_customize->add_setting('ServicesPageService4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService4Required',
                array('label'=> __('Service4 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Required'
            )));
        $wp_customize->add_setting('ServicesPageService4Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService4Image',
                array('label'=> __('Service4 Image'),
                'description'=> esc_html__(''),
                'section'=> 'ServicesPageServicesSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 160, // Optional. Default: 150
                'height'=> 160, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageService4Title', array('default'=> 'Maintenance Services',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService4Title',
            array('label'=> __('Service4 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Title'
            )));

        $wp_customize->add_setting('ServicesPageService4Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService4Url',
            array('label'=> __('Service4 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Url'
            )));
        
        $wp_customize->add_setting('ServicesPageService4Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageService4Content',
                array('label'=> __('Service4 Content', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

		// Service5
		$wp_customize->add_setting('ServicesPageService5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService5Required',
                array('label'=> __('Service5 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Required'
            )));
        $wp_customize->add_setting('ServicesPageService5Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService5Image',
                array('label'=> __('Service5 Image'),
                'description'=> esc_html__(''),
                'section'=> 'ServicesPageServicesSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 160, // Optional. Default: 150
                'height'=> 160, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageService5Title', array('default'=> 'Repair And Renovation',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService5Title',
            array('label'=> __('Service5 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Title'
            )));

        $wp_customize->add_setting('ServicesPageService5Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService5Url',
            array('label'=> __('Service5 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Url'
            )));
        
        $wp_customize->add_setting('ServicesPageService5Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageService5Content',
                array('label'=> __('Service5 Content', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

		// Service6
		$wp_customize->add_setting('ServicesPageService6Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService6Required',
                array('label'=> __('Service6 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Required'
            )));
        $wp_customize->add_setting('ServicesPageService6Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageService6Image',
                array('label'=> __('Service6 Image'),
                'description'=> esc_html__(''),
                'section'=> 'ServicesPageServicesSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 160, // Optional. Default: 150
                'height'=> 160, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageService6Title', array('default'=> 'Chemical Research',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService6Title',
            array('label'=> __('Service6 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Title'
            )));

        $wp_customize->add_setting('ServicesPageService6Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService6Url',
            array('label'=> __('Service6 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Url'
            )));
        
        $wp_customize->add_setting('ServicesPageService6Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageService6Content',
                array('label'=> __('Service6 Content', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // ServicesPage Services top & bottom area textarea

        $wp_customize->add_setting('ServicesPageServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesTopArea',
                array('label'=> __('ServicesPage Services Top', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesBottomArea',
                array('label'=> __('ServicesPage Services Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage Services top & bottom area textarea

        /** ServicesPage Services ends **/





        /** ServicesPage Cover starts **/

        $wp_customize->add_setting('ServicesPageCoverRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageCoverRequired',
                array('label'=> __('ServicesPage Cover Required', 'w3layouts'),
                'section'=> 'ServicesPageCoverSection',
                'settings'=> 'ServicesPageCoverRequired',
                'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageCoverRequired', array('selector'=> 'div.ServicesPageCover', // You can also select a css class
            ));

        $wp_customize->add_setting('ServicesPageCoverBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageCoverBgImage',
                array('label'=> __('Cover Bg Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageCoverSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 1760, // Optional. Default: 150
				'height'=> 800, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

        $wp_customize->add_setting('ServicesPageCoverTitle1', array('default'=> "Industrial Theme",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageCoverTitle1',
            array('label'=> __('Cover Title1', 'w3layouts'),
                'section'=> 'ServicesPageCoverSection',
                'settings'=> 'ServicesPageCoverTitle1',
            )));

        $wp_customize->add_setting('ServicesPageCoverTitle2', array('default'=> "You can request for call back, we will call !",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageCoverTitle2',
            array('label'=> __('Cover Title2', 'w3layouts'),
                'section'=> 'ServicesPageCoverSection',
                'settings'=> 'ServicesPageCoverTitle2',
            )));

        $wp_customize->add_setting('ServicesPageCoverBtnUrl', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageCoverBtnUrl',
            array('label'=> __('Cover Btn Url', 'w3layouts'),
                'section'=> 'ServicesPageCoverSection',
                'settings'=> 'ServicesPageCoverBtnUrl',
            )));

        $wp_customize->add_setting('ServicesPageCoverBtnTxt', array('default'=> "Request for call back",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageCoverBtnTxt',
            array('label'=> __('Cover Btn Text', 'w3layouts'),
                'section'=> 'ServicesPageCoverSection',
                'settings'=> 'ServicesPageCoverBtnTxt',
            )));

        // ServicesPage Cover top & bottom area textarea

        $wp_customize->add_setting('ServicesPageCoverTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageCoverTopArea',
                array('label'=> __('Cover Top', 'w3layouts'),
                    'section'=> 'ServicesPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageCoverBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageCoverBottomArea',
                array('label'=> __('Cover Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage Cover top & bottom area textarea

        /** ServicesPage Cover ends **/





        /** ServicesPage Features starts **/

        $wp_customize->add_setting('ServicesPageFeaturesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'Features',
                array('label'=> __('ServicesPage Features Section Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeaturesRequired',
                'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageFeaturesRequired', array('selector'=> 'div.ServicesPageFeatures', // You can also select a css class
            ));

        $wp_customize->add_setting('ServicesPageFeaturesImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturesImage',
                array('label'=> __('Features Left Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageFeaturesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 640, // Optional. Default: 150
				'height'=> 427, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

        // Services Feature1
        $wp_customize->add_setting('ServicesPageFeature1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeature1Required',
                array('label'=> __('Services Feature1 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature1Required'
            )));

        $wp_customize->add_setting('ServicesPageFeature1Icon', array('default'=> "fas fa-fire",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature1Icon',
            array('label'=> __('Services Feature1 Icon', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature1Icon',
            )));

        $wp_customize->add_setting('ServicesPageFeature1Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature1Url',
            array('label'=> __('Services Feature1 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature1Url',
            )));
        $wp_customize->add_setting('ServicesPageFeature1Title', array('default'=> "Research & Analysis",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature1Title',
            array('label'=> __('Services Feature1 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature1Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeature1Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature1Content',
            array('label'=> __('Services Feature1 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Services Feature2
        $wp_customize->add_setting('ServicesPageFeature2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeature2Required',
                array('label'=> __('Services Feature2 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature2Required'
            )));

        $wp_customize->add_setting('ServicesPageFeature2Icon', array('default'=> "fa fa-cogs",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature2Icon',
            array('label'=> __('Services Feature2 Icon', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature2Icon',
            )));

        $wp_customize->add_setting('ServicesPageFeature2Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature2Url',
            array('label'=> __('Services Feature2 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature2Url',
            )));
        $wp_customize->add_setting('ServicesPageFeature2Title', array('default'=> "The Best Industry Services",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature2Title',
            array('label'=> __('Services Feature2 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature2Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeature2Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature2Content',
            array('label'=> __('Services Feature2 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        
        // Services Feature3
        $wp_customize->add_setting('ServicesPageFeature3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeature3Required',
                array('label'=> __('Services Feature3 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature3Required'
            )));
        
        $wp_customize->add_setting('ServicesPageFeature3Icon', array('default'=> "fas fa-solar-panel",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature3Icon',
            array('label'=> __('Services Feature3 Icon', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature3Icon',
            )));

        $wp_customize->add_setting('ServicesPageFeature3Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature3Url',
            array('label'=> __('Services Feature3 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature3Url',
            )));
        $wp_customize->add_setting('ServicesPageFeature3Title', array('default'=> "Quality Products",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature3Title',
            array('label'=> __('Services Feature3 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'settings'=> 'ServicesPageFeature3Title',
            )));
        $wp_customize->add_setting('ServicesPageFeature3Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeature3Content',
            array('label'=> __('Services Feature3 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    
        
        // ServicesPage Features top & bottom area textarea

        $wp_customize->add_setting('ServicesPageFeaturesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageFeaturesTopArea',
                array('label'=> __('ServicesPage Features Top', 'w3layouts'),
                    'section'=> 'ServicesPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageFeaturesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageFeaturesBottomArea',
                array('label'=> __('ServicesPage Features Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage Features top & bottom area textarea

        /** ServicesPage Features ends **/



        

    }

}