<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package industries
 */

?>

<!-- inner banner -->
<section class="inner-banner">
  <div class="w3l-breadcrumb">
      <div class="container">
            <h4 class="inner-text-title  font-weight-bold mb-2">Nothing Found</h4>
          <!-- Content None breadcrumb -->
          <?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
          <?php if( $BreadcrumbsStatus==1 ){?>
          <div class="breadcrumbs-custom-path AllBreadcrumbs">
              <?php get_breadcrumb(); ?>
          </div>
          <?php }?>
          <!-- //Content None breadcrumb -->

      </div>
  </div>
</section>
<!-- //inner banner -->


<div class="container py-md-5 py-sm-4">
  <div class="row justify-content-center">
    <section class="no-results not-found py-5 col-lg-6">
      <header class="page-header">
        <h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'w3layouts' ); ?></h1>
      </header><!-- .page-header -->

      <div class="page-content">
        <?php
        if ( is_home() && current_user_can( 'publish_posts' ) ) :

          printf(
            '<p>' . wp_kses(
              /* translators: 1: link to WP admin new post page. */
              __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'w3layouts' ),
              array(
                'a' => array(
                  'href' => array(),
                ),
              )
            ) . '</p>',
            esc_url( admin_url( 'post-new.php' ) )
          );

        elseif ( is_search() ) :
          ?>

          <p class="mb-3"><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'w3layouts' ); ?></p>
          <?php
          get_search_form();

        else :
          ?>

          <p class="mb-3"><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'w3layouts' ); ?></p>
          <?php
          get_search_form();

        endif;
        ?>
      </div><!-- .page-content -->
      
    </section><!-- .no-results -->
  </div>
</div>




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script> <!-- //light and dark mode switch js -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-1.9.1.min.js"></script>
<!-- faq -->
<script>
  const items = document.querySelectorAll(".accordion button");

  function toggleAccordion() {
    const itemToggle = this.getAttribute('aria-expanded');

    for (i = 0; i < items.length; i++) {
      items[i].setAttribute('aria-expanded', 'false');
    }

    if (itemToggle == 'false') {
      this.setAttribute('aria-expanded', 'true');
    }
  }

  items.forEach(item => item.addEventListener('click', toggleAccordion));
</script>
<!-- //faq -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/easyResponsiveTabs.js"></script>
<!--Plug-in Initialisation-->
<script type="text/javascript">
  jQuery(document).ready(function () {
    //Horizontal Tab
    jQuery('#parentHorizontalTab').easyResponsiveTabs({
      type: 'default', //Types: default, vertical, accordion
      width: 'auto', //auto or any width like 600px
      fit: true, // 100% fit in a container
      tabidentify: 'hor_1', // The tab groups identifier
      activate: function (event) { // Callback function if tab is switched
        var jQuerytab = jQuery(this);
        var jQueryinfo = jQuery('#nested-tabInfo');
        var jQueryname = jQuery('span', jQueryinfo);
        jQueryname.text(jQuerytab.text());
        jQueryinfo.show();
      }
    });
  });
</script>

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for banner slider-->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-one').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1
        },
        480: {
          items: 1
        },
        667: {
          items: 1
        },
        1000: {
          items: 1
        }
      }
    })
  })
</script>
<!-- //script -->
<!-- owl carousel -->


<!-- script for customers -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      dots: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 3,
          nav: true
        },
        480: {
          items: 3,
          nav: true
        },
        667: {
          items: 3,
          nav: true
        },
        800: {
          items: 4,
          nav: true
        },
        1000: {
          items: 5,
          nav: true
        }
      }
    })
  })
</script>
<!-- //customers owlcarousel -->

<!--/MENU-JS-->
<script>
  jQuery(window).on("scroll", function () {
    var scroll = jQuery(window).scrollTop();

    if (scroll >= 80) {
      jQuery("#site-header").addClass("nav-fixed");
    } else {
      jQuery("#site-header").removeClass("nav-fixed");
    }
  });

  //Main navigation Active Class Add Remove
  jQuery(".navbar-toggler").on("click", function () {
    jQuery("header").toggleClass("active");
  });
  jQuery(document).on("ready", function () {
    if (jQuery(window).width() > 991) {
      jQuery("header").removeClass("active");
    }
    jQuery(window).on("resize", function () {
      if (jQuery(window).width() > 991) {
        jQuery("header").removeClass("active");
      }
    });
  });
</script>
<!--//MENU-JS-->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script><!-- //bootstrap js -->

<?php }

get_footer(); ?>
<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script> <!-- //light and dark mode switch js -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-1.9.1.min.js"></script>
<!-- faq -->
<script>
  const items = document.querySelectorAll(".accordion button");

  function toggleAccordion() {
    const itemToggle = this.getAttribute('aria-expanded');

    for (i = 0; i < items.length; i++) {
      items[i].setAttribute('aria-expanded', 'false');
    }

    if (itemToggle == 'false') {
      this.setAttribute('aria-expanded', 'true');
    }
  }

  items.forEach(item => item.addEventListener('click', toggleAccordion));
</script>
<!-- //faq -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/easyResponsiveTabs.js"></script>
<!--Plug-in Initialisation-->
<script type="text/javascript">
  jQuery(document).ready(function () {
    //Horizontal Tab
    jQuery('#parentHorizontalTab').easyResponsiveTabs({
      type: 'default', //Types: default, vertical, accordion
      width: 'auto', //auto or any width like 600px
      fit: true, // 100% fit in a container
      tabidentify: 'hor_1', // The tab groups identifier
      activate: function (event) { // Callback function if tab is switched
        var jQuerytab = jQuery(this);
        var jQueryinfo = jQuery('#nested-tabInfo');
        var jQueryname = jQuery('span', jQueryinfo);
        jQueryname.text(jQuerytab.text());
        jQueryinfo.show();
      }
    });
  });
</script>

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for banner slider-->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-one').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1
        },
        480: {
          items: 1
        },
        667: {
          items: 1
        },
        1000: {
          items: 1
        }
      }
    })
  })
</script>
<!-- //script -->
<!-- owl carousel -->


<!-- script for customers -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      dots: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 3,
          nav: true
        },
        480: {
          items: 3,
          nav: true
        },
        667: {
          items: 3,
          nav: true
        },
        800: {
          items: 4,
          nav: true
        },
        1000: {
          items: 5,
          nav: true
        }
      }
    })
  })
</script>
<!-- //customers owlcarousel -->

<!--/MENU-JS-->
<script>
  jQuery(window).on("scroll", function () {
    var scroll = jQuery(window).scrollTop();

    if (scroll >= 80) {
      jQuery("#site-header").addClass("nav-fixed");
    } else {
      jQuery("#site-header").removeClass("nav-fixed");
    }
  });

  //Main navigation Active Class Add Remove
  jQuery(".navbar-toggler").on("click", function () {
    jQuery("header").toggleClass("active");
  });
  jQuery(document).on("ready", function () {
    if (jQuery(window).width() > 991) {
      jQuery("header").removeClass("active");
    }
    jQuery(window).on("resize", function () {
      if (jQuery(window).width() > 991) {
        jQuery("header").removeClass("active");
      }
    });
  });
</script>
<!--//MENU-JS-->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script><!-- //bootstrap js -->

<?php }

get_footer(); ?>